﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridAddRowUserControl
{
    public class DescriptionUIElement : IUIElementCreationFilter
    {
        public static UltraTextEditor descUIElement = new UltraTextEditor();

        public void AfterCreateChildElements(UIElement parent)
        {
            DataAreaUIElement El = parent as DataAreaUIElement;
            if (El != null)
            {
                descUIElement.Size = new System.Drawing.Size(180, 125);
                descUIElement.Parent = El.Control;
                descUIElement.Multiline = true;
                descUIElement.UseAppStyling = false;
            }
        }


        public bool BeforeCreateChildElements(UIElement parent)
        {
            descUIElement.Location = new Point(170, 50);
            return false;
        }
    }
}
